main
{
	flex: 99999999;
	position: relative;
	overflow-y: hidden;

	width: 100%;

	background-color: var(--background);
	box-shadow: inset 0rem var(--shadow-position) var(--shadow-blur) var(--shadow-color);
}

section
{
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;

	overflow: auto;
	overflow-x: hidden;
	overflow-y: auto;
	overscroll-behavior: contain;

	/* Default every view to be transparent. */
	opacity: 0;

	/* Default every view to be placed in the center position. */
	transform: translate(0vw, 0vh);
}

section#introduction
{
	/* Always show the introduction screen at the top of the stack. */
	z-index: 100;

	/* Default to hiding the introduction screen below the bottom of the screen. */
	transform: translate(0vw, 100vh);

	/* Hide content behind the introduction screen by making the background opaque. */
	background-color: var(--background);
}
section#requirements
{
	/* Always show the requirements at the top of the stack, except for the introduction screen. */
	z-index: 99;

	/* Default to hiding the requirements above the top of the screen. */
	transform: translate(0vw, -100vh);

	/* Make the background translucent so the user can see the desired UI. */
	background-color: var(--overlay);

	/* Add a box shadow to make the overlay appear above the content while in transition. */
	box-shadow: 0rem var(--shadow-position) var(--shadow-blur) var(--shadow-color);
}

section#payment
{
	/* Set the payment views default position to one screen on the right. */
	transform: translate(100vw, 0vh);
}
section#request
{
	/* Set the request views default position to two screen on the right. */
	transform: translate(200vw, 0vh);
}

main.showIntroduction > section#introduction,
main.showProposal  > section#proposal,
main.showPayment > section#payment,
main.showRequest > section#request,
main.showRequirements > section#requirements
{
	/* Set the selected screen to center and make it visible. */
	transform: translate(0vw, 0vh);
	opacity: 1;
}

main.showPayment > section#proposal
{
	/* Set the bridge position to one screen left of the payment,
	   when showing the payment */
	transform: translate(-100vw, 0vh);
}

main.showRequest > section#payment
{
	/* Set the payment position to one screen left of the request,
	   when showing the request */
	transform: translate(-100vw, 0vh);
}

main.showRequest > section#proposal
{
	/* Set the bridge position to two screen left of the request,
	   when showing the request */
	transform: translate(-200vw, 0vh);
	opacity: 0;
}
